# Some tricks in this spec file were inspired by
# the Pure-FTPd spec made by Frank DENIS <j@pureftpd.org>
# You're the best, man. ;-)

%define name		tuxpaint
%define version		2002.10.20
%define stversion	2002.10.16
%define release		1
%define builddir	$RPM_BUILD_DIR/%{name}-devel
%define prefixdef	/usr
%define sysconfdir	/etc

# If you don't like the prefix '/usr' you can override it like this:
# rpm -ba|--rebuild --define 'prefix /usr/local'
%{?!prefix:%define prefix %{prefixdef}}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Vendor:		Generic
Packager:	Florin Andrei <florin@andrei.myip.org>
URL:		http://www.newbreedsoftware.com/tuxpaint/
Source:		%{name}-%{version}.tar.gz
Source1:	%{name}-stamps-%{stversion}.tar.gz
Patch0:		tuxpaint-make.patch
Group:		Amusements/Games
License:	GPL
Provides:	tuxpaint
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	SDL_ttf
BuildRequires:	SDL_ttf-devel
Summary:	A drawing program for young children

%description
Tux Paint is meant to be a simple drawing program for young children. It
is not meant as a general-purpose drawing tool. It is meant to be fun
and easy to use. Sound effects and a cartoon character help let the user
know what's going on, and keeps them entertained. There are also
extra-large cartoon-style mouse pointer shapes.

%prep
%setup -b 1 -n %{name}-%{version}
%patch -p 0

%build
RPMPREFIX=%{prefix} make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
pushd ../%{name}-stamps-%{stversion}
    mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/tuxpaint
    cp -r stamps $RPM_BUILD_ROOT/%{prefix}/share/tuxpaint/
popd
RPMPREFIX=$RPM_BUILD_ROOT/%{prefix} make install
mkdir -p $RPM_BUILD_ROOT/etc
mv $RPM_BUILD_ROOT/%{prefix}/etc/tuxpaint $RPM_BUILD_ROOT/etc
rm -rf $RPM_BUILD_ROOT/%{prefix}/etc
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
mv $RPM_BUILD_ROOT/%{prefix}/share/applnk/Graphics/tuxpaint.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Games/
rm -rf $RPM_BUILD_ROOT/%{prefix}/share/applnk
rm -rf $RPM_BUILD_ROOT/%{prefix}/share/doc/tuxpaint
rm -rf $RPM_BUILD_ROOT/%{prefix}/share/gnome

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
[ -n "$RPM_BUILD_DIR" -a "$RPM_BUILD_DIR" != / ] && rm -rf $RPM_BUILD_DIR/%{name}-%{version}
[ -n "$RPM_BUILD_DIR" -a "$RPM_BUILD_DIR" != / ] && rm -rf $RPM_BUILD_DIR/%{name}-stamps-%{stversion}

%files
%defattr(0755, root, root)
%{prefix}/bin/tuxpaint
%{prefix}/bin/tuxpaint-import

%defattr(0644, root, root)
%{prefix}/X11R6/include/X11/pixmaps/tuxpaint.xpm
/etc/X11/applnk/Games/tuxpaint.desktop
%{prefix}/share/locale/da/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/de/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/en_GB/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/es/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/fi/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/fr/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/is/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/it/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/ja/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/nl/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/nn/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/pt_BR/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/sv/LC_MESSAGES/tuxpaint.mo
%{prefix}/share/locale/tr/LC_MESSAGES/tuxpaint.mo
%{_mandir}/man1/tuxpaint.1.gz
%{_mandir}/man1/tuxpaint-import.1.gz
%{prefix}/share/pixmaps/tuxpaint.png
%config(noreplace) %{sysconfdir}/tuxpaint/tuxpaint.conf

%defattr(-, root, root)
%{prefix}/share/tuxpaint
%doc docs/*

%changelog
* Thu Oct 24 2002 Florin Andrei <florin@andrei.myip.org>
- first package
- version 2002.10.20
